Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043916
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Remittancemajoralways2020-04-30 16:332020-05-14 13:44
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0a9617665103
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0043916: Unbalanced accounting in case a Payment Settled in a remittance is unposted, as it can not be posted again any more

DescriptionIn case a user unpost a payment that has been included in a remittance and has been settled, then he can't post it again as Disabled for Accounting error is received. This implies that accounting entry for this payment is missed so accounting of involved accounts is unbalanced
Steps To Reproduce0. Install and apply Remittances Infrastructure module
1. Create a GL Item with name "5208". Go to Accounting tab and define accounting for "España" ledger= 52080 - Deudas por efectos descontados. Define also any accounting information for "International group" ledger
2. Create new Remittance Type named "Discount" wit:
  - Payment method= Remittance
  - Remit for discount=Y
  - Payment method for discount= Transferencia
  - GL Item =5208 (the previous one)
  - Posting allowed=Y
  - In Accounting tab add record for "España" ledger with values Settlement Account=572 and Sent Account=43111. Add another record for "International group" ledger with any accounting information
3. Go to Financial Account, select "Cuenta de Banco" and:
  - Set any business partner for this financial account
  - In Payment Method tab, add Remittance payment method
  - In Payment Method tab, define "In Transit Payment Account" in Upon REceipt Use field for Transferencia payment method
  - In Accounting Configuration tab, modify "España" ledger to set account "43101 - Efectos comerciales en cartera a largo plazo" in In Transit Payment IN Account field
4. Register a Sales Invoice for "España" organization and "Hoteles Buenas Noches" bp. Add any line, process and post it
5. Run Add Payment process from previous invoice to register its payment. navigate to created payment and post it
6. Create new Remittance document using previous remittance type, run "Select Payments process and select previous record. Process remittance without grouping. Post remittance
7. Access Settle and Protest remittances form, select previous line, set today's date and Settle
8. Access to Remittance's window, go to Settle tab and post settled line
9. Run General Ledger Report using valid date and Business partner = Hoteles Buenas Noches. Realize that accounts involved in the process (43101 Efectos comerciales en cartera a largo plazo among others) have balance 0, which is correct
10. Access to the Payment that was included in the remittance and Unpost it. Try to Post it again and you will obtain "Disabled for accounting" error. Will not be possible to regenerate accounting of this document so user is left in a blocked situation. Also if you now run General Ledger report you will see account 43101 Efectos comerciales en cartera a largo plazo among others with balance
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0119788)
AtulOpenbravo (developer)
2020-05-12 19:43

0. Install and apply Remittances Infrastructure module
1. Create a GL Item with name "5208". Go to Accounting tab and define accounting for "F&B España, S.A. US/A/Euro" ledger= 52080 - Deudas por efectos descontados. Define also any accounting information for "F&B International Group US/A/US Dollar" ledger for eg: Debit Acct = 4920 - Payment discount expense and Credit Acct = 5820 - Payment discount revenue
2. Create new Remittance Type named "Discount Remittance Type" with:
  - Payment method= Remittance
  - Remit for discount=Y
  - Payment method for discount= Transferencia
  - GL Item =5208 (the previous one)
  - Posting allowed=Y
  - In Accounting tab add record for "F&B España, S.A. US/A/Euro" ledger with values Settlement Account=57200 and Sent Account=43111. Add another record for "F&B International Group US/A/US Dollar" ledger with any accounting information for eg: Settlement Account= 1110, Sent Account = 1140
3. Go to Financial Account, select "Cuenta de Banco" and:
  - Set any business partner for this financial account for eg: Use Alimentos y Supermercados, S.A as business partner.
  - In Payment Method tab, add Remittance payment method.
  - In Payment Method tab, for Transferencia payment method, define Upon Receipt Use as "In Transit Payment Account", Make Sure Automatic Deposit and Automatic Withdrawal is set as No. (To use Process Payment Received action in step 5)
  - In Accounting Configuration tab, modify "F&B España, S.A. US/A/Euro" ledger to set account "43101 - Efectos comerciales en cartera a largo plazo" in In Transit Payment IN Account field
4. Register a Sales Invoice for "F&B España, S.A." organization, "Hoteles Buenas Noches" bp, Payment Method as Transferencia. Add any line, process and post it
5. Run Add Payment process from previous invoice to register its payment, while processing payment select option as "Process Payment Received". Navigate to created payment and post it.
6. Create new Remittance document using previous remittance type i.e "Discount Remittance Type", run "Select Payments process and select previous record. Process remittance without grouping. Post remittance
7. Access Settle and Protest remittances form, select previous line, set today's date and Settle
8. Access to Remittance's window, go to Settle tab and post settled line
9. Run General Ledger Report using valid date and Business partner = Hoteles Buenas Noches. Realize that accounts involved in the process (43101 Efectos comerciales en cartera a largo plazo among others) have balance 0, which is correct
10. Access to the Payment that was included in the remittance and Unpost it. Try to Post it again, realize that posting of payment is successful and General Ledger Report shows same output as in the step 9.
(0119876)
hgbot (developer)
2020-05-14 13:41

Repository: erp/devel/pi
Changeset: 0a9617665103ab5a69141e92817cfccc7a00205e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 13 11:17:16 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0a9617665103ab5a69141e92817cfccc7a00205e [^]

Fixes BUG-0043916: Unbalanced accounting in case a Payment Settled in a
remittance is unposted, as it can not be posted again any more

**Used FIN_Utility.isPaymentConfirmed which also considers payment
status implemented by other modules long with Core module. In this
case REM_CANCEL payment status is considered for posting a payment
This status is set when RemittanceType has isRemitForDiscount flag
= Yes during settling the Remittance.

---
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
---
(0119877)
dmiguelez (developer)
2020-05-14 13:43

After the fix is put in place, it is possible to post the payment again.
If it still remains in Disabled for accounting status, and the Reset Accounting process does not help to change the status, this query would do it:

UPDATE FIN_PAYMENT
SET POSTED = 'N'
WHERE STATUS = 'REM_CANCEL'
AND POSTED = 'D'
AND NOT EXISTS (SELECT 1
FROM FACT_ACCT
   WHERE FACT_ACCT.RECORD_ID = FIN_PAYMENT.FIN_PAYMENT_ID
   AND FACT_ACCT.AD_TABLE_ID = 'D1A97202E832470285C9B1EB026D54E2');
(0119878)
dmiguelez (developer)
2020-05-14 13:44

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-04-30 16:33 maite New Issue
2020-04-30 16:33 maite Assigned To => Triage Finance
2020-04-30 16:33 maite Issue Monitored: networkb
2020-05-04 13:58 Practics Issue Monitored: Practics
2020-05-12 19:43 AtulOpenbravo Status new => scheduled
2020-05-12 19:43 AtulOpenbravo Note Added: 0119788
2020-05-12 19:43 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2020-05-14 13:41 hgbot Checkin
2020-05-14 13:41 hgbot Note Added: 0119876
2020-05-14 13:41 hgbot Status scheduled => resolved
2020-05-14 13:41 hgbot Resolution open => fixed
2020-05-14 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0a9617665103ab5a69141e92817cfccc7a00205e [^]
2020-05-14 13:43 dmiguelez Note Added: 0119877
2020-05-14 13:44 dmiguelez Review Assigned To => dmiguelez
2020-05-14 13:44 dmiguelez Note Added: 0119878
2020-05-14 13:44 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker